unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    EingabeEdit: TEdit;
    Panel1: TPanel;
    RatenButton: TBitBtn;
    NeuButton: TBitBtn;
    Abbruchbutton: TBitBtn;
    ErgebnisPanel: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    procedure NeuButtonClick(Sender: TObject);
    procedure AbbruchbuttonClick(Sender: TObject);
    procedure RatenButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure EingabeEditKeyPress(Sender: TObject; var Key: Char);

  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  Zufallszahl, Ratezahl: Integer;


implementation

{$R *.dfm}


//neue Zahl generieren
procedure TForm1.NeuButtonClick(Sender: TObject);
begin
randomize;
Zufallszahl:=random(100)+1;
//Panel1.Caption:=IntToStr(Zufallszahl);//<-test der Zufallszahl
EingabeEdit.Text:='0';
ErgebnisPanel.Caption:='';
EingabeEdit.SetFocus;
end;


//Schlieen.
procedure TForm1.AbbruchbuttonClick(Sender: TObject);
begin
close;
end;


//Vergleich zwischen geratener Zahl und generierten Zahl
procedure TForm1.RatenButtonClick(Sender: TObject);
begin
EingabeEdit.SetFocus;
Ratezahl:=StrToInt(EingabeEdit.Text);
If Ratezahl > Zufallszahl
  then  if Ratezahl > 100
      then ErgebnisPanel.Caption:='Die Zahl kann nicht grer als 100 sein!';
      if Ratezahl < 101
      then ErgebnisPanel.Caption:='Deine Zahl ist zu gro.';

If Ratezahl < Zufallszahl
  then ErgebnisPanel.Caption:='Deine Zahl ist zu klein.';

If Ratezahl = Zufallszahl
  then ErgebnisPanel.Caption:='Richtig geraten! Herlzlichen Glckwunsch!';

end;


//erzeugen der ersten Zahl
procedure TForm1.FormCreate(Sender: TObject);
begin
randomize;
Zufallszahl:=random(100)+1
end;



//Tastaturbedienung und Eingabeedit fr Zahlen umbestimmt
procedure TForm1.EingabeEditKeyPress(Sender: TObject; var Key: Char);
  var
  Style: DWord;
begin
Style := GetWindowLong(EingabeEdit.Handle, GWL_STYLE);
SetWindowLong(EingabeEdit.Handle, GWL_STYLE, Style or ES_NUMBER);
if key = #13 {Enter}    then RatenButton.Click;
if key = #27 {ESC}      then AbbruchButton.Click;
if key = #32 {Spacebar} then EingabeEdit.Text:='';
end;

end.
